package main

import(
	"log"
	"git.science.uu.nl/datastrophe/query-conversion/cypher/queryConverter.go"
)

func main(){
	queryservice := new cypher.NewService()

	js = `{
		"return": {
			"entities": [
				0
			],
			"relations": []
		},
		"entities": [
			{
				"type": "airports",
				"constraints": [
					{
						"attribute": "state",
						"value": "HI",
						"dataType": "text",
						"matchType": "exact"
					}
				]
			}
		],
		"relations": [],
		"limit": 5000
		}`
	
	
	result, _ := cypher.convertQuery(JSON.marshal(js))
	log.Println(result)
}
